from typing import Self, TypeAlias

import pydantic

from .database import models

Account: TypeAlias = models.Account


class DecryptedAccount(pydantic.BaseModel):
    user_id: int
    name: str
    login: str
    password: str

    @classmethod
    def from_tuple(cls, tuple_: tuple[str, str, str]) -> Self:
        return cls(name=tuple_[0], login=tuple_[1], password=tuple_[2])

    def as_tuple(self) -> tuple[str, str, str]:
        return (self.name, self.login, self.password)
